{
  "name": "nomadmania-app",
  "version": "2.0.0",
  "main": "node_modules/expo/AppEntry.js",
  "expo": {
    "doctor": {
      "reactNativeDirectoryCheck": {
        "exclude": [
          "react-native-file-viewer",
          "react-native-wheel-pick"
        ]
      }
    }
  },
  "scripts": {
    "start": "expo start --dev-client",
    "android": "expo run:android",
    "ios": "expo run:ios",
    "build:dev": "eas build --profile development",
    "build:prod": "ENV=production eas build --platform all --profile production",
    "publish:prod": "ENV=production eas update --branch production",
    "postinstall": "patch-package"
  },
  "dependencies": {
    "@expo/vector-icons": "^15.0.2",
    "@maplibre/maplibre-react-native": "^10.2.1",
    "@nozbe/watermelondb": "^0.28.0",
    "@react-native-clipboard/clipboard": "^1.16.3",
    "@react-native-community/datetimepicker": "8.4.4",
    "@react-native-community/netinfo": "11.4.1",
    "@react-native-documents/picker": "^10.1.7",
    "@react-native-picker/picker": "2.11.1",
    "@react-navigation/bottom-tabs": "^7.4.7",
    "@react-navigation/drawer": "^7.5.8",
    "@react-navigation/material-top-tabs": "^7.3.7",
    "@react-navigation/native": "^7.1.17",
    "@react-navigation/native-stack": "^7.3.26",
    "@react-navigation/stack": "^7.4.8",
    "@sentry/react-native": "~7.2.0",
    "@shopify/flash-list": "2.0.2",
    "@tanstack/react-query": "^5.89.0",
    "@turf/turf": "^7.2.0",
    "axios": "^1.12.2",
    "dayjs": "^1.11.18",
    "dotenv": "^16.6.1",
    "expo": "^54.0.12",
    "expo-asset": "~12.0.9",
    "expo-audio": "~1.0.13",
    "expo-blur": "~15.0.7",
    "expo-build-properties": "~1.0.9",
    "expo-checkbox": "~5.0.7",
    "expo-constants": "~18.0.9",
    "expo-dev-client": "~6.0.13",
    "expo-file-system": "~19.0.16",
    "expo-font": "~14.0.8",
    "expo-image": "~3.0.8",
    "expo-image-picker": "~17.0.8",
    "expo-location": "~19.0.7",
    "expo-notifications": "~0.32.12",
    "expo-splash-screen": "~31.0.10",
    "expo-sqlite": "~16.0.8",
    "expo-status-bar": "~3.0.8",
    "expo-task-manager": "~14.0.7",
    "expo-updates": "~29.0.12",
    "expo-video": "~3.0.11",
    "formik": "^2.4.6",
    "moment": "^2.30.1",
    "p-limit": "^7.2.0",
    "patch-package": "^8.0.0",
    "promise": "^8.3.0",
    "react": "19.1.0",
    "react-native": "0.81.4",
    "react-native-actions-sheet": "^0.9.7",
    "react-native-animated-pagination-dot": "^0.4.0",
    "react-native-collapsible-tab-view": "^8.0.1",
    "react-native-compressor": "^1.16.0",
    "react-native-device-detection": "^0.2.1",
    "react-native-emoji-selector": "^0.2.0",
    "react-native-file-viewer": "^2.1.5",
    "react-native-gesture-handler": "^2.28.0",
    "react-native-get-random-values": "^1.11.0",
    "react-native-gifted-chat": "^2.8.1",
    "react-native-google-places-autocomplete": "^2.5.7",
    "react-native-haptic-feedback": "^2.3.3",
    "react-native-image-zoom-viewer": "^3.0.1",
    "react-native-keyboard-aware-scroll-view": "^0.9.5",
    "react-native-keyboard-controller": "1.18.5",
    "react-native-linear-gradient": "^2.8.3",
    "react-native-map-clustering": "^4.0.0",
    "react-native-maps": "1.20.1",
    "react-native-mmkv": "^3.3.1",
    "react-native-modal": "^14.0.0-rc.1",
    "react-native-pager-view": "^6.9.1",
    "react-native-paper": "^5.14.5",
    "react-native-pell-rich-editor": "^1.10.0",
    "react-native-progress": "^5.0.1",
    "react-native-reanimated": "~4.1.1",
    "react-native-reanimated-carousel": "^4.0.3",
    "react-native-render-html": "^6.3.4",
    "react-native-safe-area-context": "~5.6.0",
    "react-native-screens": "~4.16.0",
    "react-native-searchable-dropdown-kj": "^1.9.3",
    "react-native-share": "^12.2.0",
    "react-native-svg": "15.12.1",
    "react-native-ui-datepicker": "3.0.7",
    "react-native-url-polyfill": "^2.0.0",
    "react-native-view-shot": "4.0.3",
    "react-native-walkthrough-tooltip": "^1.6.0",
    "react-native-webview": "13.15.0",
    "react-native-wheel-pick": "^1.2.6",
    "react-native-worklets": "^0.5.1",
    "uuid": "^13.0.0",
    "yup": "^1.7.1",
    "zustand": "^5.0.8"
  },
  "devDependencies": {
    "@babel/core": "^7.25.2",
    "@babel/plugin-proposal-decorators": "^7.28.0",
    "@react-native-community/cli": "latest",
    "@types/react": "~19.1.10",
    "babel-preset-expo": "^54.0.2",
    "baseline-browser-mapping": "^2.9.7",
    "metro-react-native-babel-transformer": "^0.77.0",
    "prettier": "^3.1.0",
    "react-native-svg-transformer": "^1.5.0",
    "typescript": "~5.9.2"
  },
  "private": true
}
